#!/bin/bash
#Script to control DCT 700/2524 on emitter #1 of CommandIR
irsend set_transmitters 1
REMOTE_NAME=DCT700
cmd="$1"
irsend -d /dev/lircd SEND_ONCE $REMOTE_NAME menu
sleep 1
irsend -d /dev/lircd SEND_ONCE $REMOTE_NAME exit
sleep 1

case $cmd in
    [0-9]*)
    for digit in $(echo $1 | sed -e 's/./& /g'); do 
        irsend -d /dev/lircd SEND_ONCE $REMOTE_NAME $digit
        sleep .2
        # If things work OK with sleep 1, try this for faster channel changes:
        # sleep 0.3
    done
        irsend -d /dev/lircd SEND_ONCE $REMOTE_NAME ok
sleep .3
        irsend -d /dev/lircd SEND_ONCE $REMOTE_NAME exit
    ;;

    *)
        irsend SEND_ONCE $REMOTE_NAME $cmd
        ;;
esac
