#!/bin/bash
#Script to control DCT 700/2524 on emitter #1 of CommandIR
irsend set_transmitters 2
sleep .5
#REMOTE_NAME=DCT2524
REMOTE_NAME=Motorola_QIP6200-2
cmd="$1"

case $cmd in
    [0-9]*)
    for digit in $(echo $1 | sed -e 's/./& /g'); do 
        irsend -d /dev/lircd SEND_ONCE $REMOTE_NAME $digit
        sleep .4
        # If things work OK with sleep 1, try this for faster channel changes:
        sleep 0.3
    done
        irsend -d /dev/lircd SEND_ONCE $REMOTE_NAME ok
sleep .3
        irsend -d /dev/lircd SEND_ONCE $REMOTE_NAME exit
    ;;

    *)
        irsend SEND_ONCE $REMOTE_NAME $cmd
        ;;
esac
